Name:       perl-App-Cmd
Version:    0.301
Release:    1%{?dist}
# see lib/App/Cmd.pm
License:    GPL+ or Artistic
Group:      Development/Libraries
Summary:    Write command line apps with less suffering
Source:     http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/App-Cmd-%{version}.tar.gz
Url:        http://search.cpan.org/dist/App-Cmd
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires: perl(Getopt::Long::Descriptive) >= 0.075
BuildRequires: perl(IO::TieCombine) >= 1
BuildRequires: perl(Module::Pluggable::Object)
BuildRequires: perl(Sub::Exporter) >= 0.975
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Test::More)

### auto-added reqs!
Requires:       perl(Getopt::Long::Descriptive) >= 0.075
Requires:       perl(Module::Pluggable::Object)
Requires:       perl(Sub::Exporter) >= 0.975
Requires:       perl(Sub::Install)

%{?perl_default_filter}

%description
App::Cmd is intended to make it easy to write complex command-line
applications without having to think about most of the annoying things
usually involved.

For information on how to start using App::Cmd, see App::Cmd::Tutorial.

%prep
%setup -q -n App-Cmd-%{version}

perl -pi -e 's|^#!perl|#!%{__perl}|' t/*.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README t/
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Sat Sep 19 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.301-1
- auto-update to 0.301 (by cpan-spec-update 0.01)

* Sat Aug 29 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.207-1
- switch filtering to perl_default_filter
- auto-update to 0.207 (by cpan-spec-update 0.01)

* Sun Aug 23 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.206-1
- auto-update to 0.206 (by cpan-spec-update 0.01)
- altered br on perl(Getopt::Long::Descriptive) (0.06 => 0.075)
- altered req on perl(Getopt::Long::Descriptive) (0.06 => 0.075)

* Sat Aug 08 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.204-1
- auto-update to 0.204 (by cpan-spec-update 0.01)
- altered br on perl(ExtUtils::MakeMaker) (0 => 6.42)
- added a new req on perl(Getopt::Long::Descriptive) (version 0.06)
- added a new req on perl(Module::Pluggable::Object) (version 0)
- added a new req on perl(Sub::Exporter) (version 0.975)
- added a new req on perl(Sub::Install) (version 0)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.203-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.203-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.203-1
- update to 0.203

* Mon Nov 17 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.202-3
- br Test::More; drink more coffee

* Mon Nov 17 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.202-2
- bump

* Tue Nov 04 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.202-1
- update for submission

* Mon Oct 27 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.202-0.1
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.5)
